
package org.tio.sitexxx.service.vo;

import lombok.Data;

@Data
public class SentSmsResultVo {
	public interface Code {
		/**
		 * 其它业务
		 */
		int OTHER = -4;
	}



	/**
	 * true: 发送成功
	 */
	private boolean isSuccess = false;

	/**
	 * 消息码(一般用于发送失败时表示的失败原因)
	 */
	private Integer code;

	/**
	 * 提供商code
	 */
	private String thirdCode = null;

	/**
	 * 提供商的消费id
	 */
	private String thirdId = null;

	public SentSmsResultVo(boolean result, Integer code) {
		super();
		this.setSuccess(result);
		this.code = code;
	}
}
